/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * Debug.hpp
 *
 *  Created on: 2010/10/28
 *      Author: HARK Development Team
 */

#ifndef DEBUG_HPP_
#define DEBUG_HPP_

#if 0
#ifdef NDEBUG
#define DebugPuts(x)
#define DebugPrintF(x)
#define Debug(x)
#else

#include <iostream>
#include <boost/format.hpp>

namespace NSHarkBinaural
{

using boost::format;
#define DebugPuts(x) \
  do { std::cout << __FILE__ << ':' << __LINE__ << ": " << (x) << std::endl; } while (0)
#define DebugPrintF(x) \
  DebugPuts((x).str())
#define Debug(x) x
/*
 * 使用例
 * DebugPrint(format("error %d") % i)
 */

}
#endif // NDEBUG
#endif

#endif /* DEBUG_HPP_ */
