/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * IIPDS.hpp
 *
 *  Created on: 2011/03/01
 *      Author: HARK Development Team
 */

#ifndef IIPDS_HPP_
#define IIPDS_HPP_

#include <vector>
#include <IIPD.hpp>

namespace NSHarkBinaural
{

/**
 * 両耳間強度差と両耳間位相差を保持する構造体.
 * 主に測定、または計算によって得られた伝達関数を格納するのに使う。
 */
struct IIPDS
{
    int fs;         // Hz
    int nfft;       // points
    //int winlen;     // points
    int nfreq;      // NFFT/2+1
    //int rdirtick; // resolution of robot direction : degree
    int dirtick;  // resolution of sound direction : degree
    //int nrdir;   // 180/dirtick
    int ndir;    // 180/dirtick
    //double *f;     // frequency [nfreq]
    int begindeg; // degree of the first direction
    std::vector<IIPD> ipd;     //  ipd[ndir]
    std::vector<IIPD> iid;     //  iid[ndir]
};

}

#endif /* IIPDS_HPP_ */
