/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * MaxMin.hpp
 *
 *  Created on: 2010/11/15
 *      Author: HARK Development Team
 */

#ifndef MAXMIN_HPP_
#define MAXMIN_HPP_

namespace NSHarkBinaural
{

/**
 * 最大値、最小値を格納する構造体.
 * 何かしらの「最大値」と「最小値」の組を格納できる汎用的な構造体
 */
template <typename T>
struct MaxMin
{
    /**
     * 最大値
     */
    T max;

    /**
     * 最小値
     */
    T min;

    /**
     * デフォルトコンストラクタ.
     */
    MaxMin()
        : max(T()), min(T())
    { }

    /**
     * コンストラクタ.
     * @param max 最大値
     * @param min 最小値
     */
    MaxMin(T max, T min)
        : max(max), min(min)
    { }
};

}

#endif /* MAXMIN_HPP_ */
